/*
 * Copyright 2007-2016 University of New Hampshire Interoperability Laboratory
 * All rights reserved.
 *
 * This file is part of the UNH EXS implementation of the
 * Consortium Specification: Extended Sockets API (ES-API) Issue 1.0,
 * Document Number C050 published by The Open Group, January 2005,
 * and copyright 2005 by The Open Group.
 *
 * This software is available to you under a choice of one of two
 * licenses.  You may choose to be licensed under the terms of the GNU
 * General Public License (GPL) Version 2, available from the file
 * COPYING.GPL in the main directory of this source tree, or the
 * BSD license, available from the file COPYING.BSD in the main directory
 * of this source tree.
 *
 * This material is based upon work supported by the National Science
 * Foundation under Grants No. OCI-1127228 and DGE-0913620.
 *
 * Any opinions, findings, and conclusions or recommendations
 * expressed in this material are those of the authors and do not
 * necessarily reflect the views of the National Science Foundation.
 */

#ifndef _EXS_QDELETE_SETUP_H
#define _EXS_QDELETE_SETUP_H

#include "../result.h"

#define QDELETE_TESTS 4

static char *all_qdelete_tests[QDELETE_TESTS] = {
	"1  : EPERM                   : exs_qdelete(qh) [no exs_init]",
	"",
	"3  : EINVAL                  : exs_qdelete(INVALID_QHANDLE)",
	"4  : OK_EXS_QDELETE          : exs_qdelete(qh)",
};

static int list_qdelete_tests(int select)
{
	if (select < 0 || select > QDELETE_TESTS) {
		fprintf(stdout, "Invalid -t test number (1 - %d)\n",
			QDELETE_TESTS);
		exit(0);
	}

	if (select == 0) {
		int i;
		for (i = 0; i < QDELETE_TESTS; i++) {
			if (strcmp(all_qdelete_tests[i], "") != 0)
				fprintf(stdout, "%s\n",
					all_qdelete_tests[i]);
		}
	} else {
		fprintf(stdout, "%s\n", all_qdelete_tests[select - 1]);
	}

	exit(0);
}

static int ok_exs_qdelete(param * p)
{
	char *name = "ok_exs_delete";

	int ret = exs_qdelete(p->qh);

	if (ret < 0) {
		print_error(name);
		return -1;
	}
	return 0;
}

#endif
